curl --request POST \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/batch/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"objectId": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/batch/archive"
payload = { "inputs": [{ "objectId": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{objectId: '<string>'}]})
};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/batch/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Delete events by HubSpot ID
複数のマーケティングイベントが存在する場合は、objectIdに基づいてポータルから複数のマーケティングイベントを削除します。
レスポンス: 204:指定された全てのマーケティングイベントが正常に削除された場合に返されます。 207:一部のobjectIdsが既存のマーケティングイベントに対応しなかった場合に返されます。
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
Show child attributes
Show child attributes
レスポンス
操作が失敗したときにAPIから返されるエラーレスポンスを表しています。このコンポーネントは、発生したエラーに関する詳細情報を提供するために、さまざまなエンドポイントで使用されます。
エラーカテゴリー
リクエストの固有ID。エラー報告またはサポートチケットには必ずこの値を含めてください
"aeb5f871-7f07-4993-9211-075dc63e7cbf"
エラーと修正手順(該当する場合)を記した、人が理解できるメッセージ
"An error occurred"
エラー条件に関する背景状況
Show child attributes
Show child attributes
"{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}"
エラーに関する詳細情報
Show child attributes
Show child attributes
エラーまたは推奨の修正手順に関するドキュメントが含まれる関連付けられたURIへのリンク名の対応付け
Show child attributes
Show child attributes
エラーに関する具体的な詳細が含まれる特定のカテゴリー